"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var label_1 = __importDefault(require("../label"));
var Option = antd_1.Select.Option;
var Enums = /** @class */ (function (_super) {
    __extends(Enums, _super);
    function Enums() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Enums.prototype.handleSelect = function (value) {
        var field = this.props.field;
        this.props.onChange({ value: value, fields: [field] });
    };
    Enums.prototype.getSelect = function () {
        var _a = this.props, data = _a.data, schema = _a.schema, size = _a.size;
        var items = schema.items;
        // 被选中的项的描述，如果没有，则选第一个
        var options = items
            .map(function (item) {
            return (React.createElement(Option, { value: item.value, key: item.value }, item.label));
        })
            .filter(function (o) { return o; });
        return (React.createElement(antd_1.Select, { allowClear: true, size: size, showSearch: true, dropdownClassName: "schema-editor-select-option", placeholder: '', optionFilterProp: "children", value: data, onChange: this.handleSelect.bind(this) }, options));
    };
    Enums.prototype.render = function () {
        var schema = this.props.schema;
        var tip = schema.meta && schema.meta.description ? schema.meta.description : undefined;
        return (React.createElement("div", { className: "ui-form-item" },
            React.createElement(label_1.default, { title: schema.description, tip: tip }),
            React.createElement("div", { className: "ui-content" }, this.getSelect())));
    };
    return Enums;
}(React.Component));
exports.default = Enums;
//# sourceMappingURL=enum.js.map