"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var label_1 = __importDefault(require("../label"));
var Switcher = /** @class */ (function (_super) {
    __extends(Switcher, _super);
    function Switcher() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Switcher.prototype.changeValue = function (value) {
        var field = this.props.field;
        this.props.onChange({ value: value, fields: [field] });
    };
    Switcher.prototype.render = function () {
        var _a = this.props, data = _a.data, field = _a.field, schema = _a.schema, onClick = _a.onClick, title = _a.title;
        var tip = schema.meta && schema.meta.description ? schema.meta.description : undefined;
        return (React.createElement("div", { onClick: onClick, className: 'ui-form-item item-boolean', key: field },
            title !== null && React.createElement(label_1.default, { title: title || schema.description, tip: tip }),
            React.createElement("div", { className: "ui-content" },
                React.createElement(antd_1.Switch, { size: 'small', checked: data, onChange: this.changeValue.bind(this) }))));
    };
    return Switcher;
}(React.Component));
exports.default = Switcher;
//# sourceMappingURL=switch.js.map