"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DualAxes = exports.Box = exports.Histogram = exports.Heatmap = exports.Waterfall = exports.Scatter = exports.Radar = exports.Pie = exports.Column = exports.Bar = exports.Area = exports.Line = void 0;
exports.Line = [
    'smooth',
    'point',
    'lineStyle',
    ['legend', false, 'seriesField'],
    ['label', 'Line'],
    ['tooltip', 'seriesField'],
    'xAxis',
    'yAxis',
];
exports.Area = [
    'smooth',
    'point',
    'line',
    ['legend', false, 'seriesField'],
    ['label', 'Area'],
    ['tooltip', 'seriesField'],
    'xAxis',
    'yAxis'
];
exports.Bar = [
    'barWidthRatio',
    ['legend', false, 'colorField'],
    ['label', 'Bar'],
    ['tooltip', 0],
    'xAxis',
    'yAxis',
];
exports.Column = [
    'columnWidthRatio',
    ['legend', false, 'colorField'],
    ['label', 'Column'],
    ['tooltip', 0],
    'xAxis',
    'yAxis',
];
exports.Pie = ['radius', 'innerRadius', 'statistic', 'legend', ['label', 'Pie'], ['tooltip', 0]];
exports.Radar = [
    'radius',
    'smooth',
    ['legend', false, 'seriesField'],
    'line',
    'area',
    'point',
    ['tooltip', 'seriesField'],
    'xAxis',
    'yAxis',
];
exports.Scatter = [
    ['legend', false, 'colorField'],
    'size',
    'shape',
    'pointStyle',
    ['label', 'Column'],
    ['tooltip', 0],
    'xAxis',
    'yAxis',
    'regressionLine',
];
// export const Funnel = [
//   'dynamicHeight',
//   'transpose',
//   'percentage',
//   'legend',
//   ['label', 'Funnel'],
//   ['tooltip', 'compareField'],
// ];
exports.Waterfall = [
    'risingFill',
    'fallingFill',
    'columnWidthRatio',
    'waterfallStyle',
    'label',
    'total',
    'leaderLine',
    'labelMode',
    ['tooltip', 0],
    'xAxis',
    'yAxis',
];
exports.Heatmap = ['type', ['legend', true], 'label', ['tooltip', 0], 'xAxis', 'yAxis'];
exports.Histogram = ['binNumber', 'binWidth', ['label', 'Bar'], ['tooltip', 0], 'xAxis', 'yAxis'];
// export const Liquid = [
//   'liquidMin',
//   'liquidMax',
//   'value',
//   'liquidColor',
//   'liquidStyle',
//   'statistic',
// ];
exports.Box = ['boxStyle', 'xAxis', 'yAxis'];
exports.DualAxes = [['legend', false], 'xAxis', 'yAxis'];
// export const Gauge = ['percent', 'radius', 'innerRadius', 'startAngle', 'endAngle'];
//# sourceMappingURL=configs.js.map