/// <reference types="react" />
import { Language } from '../i18n';
export interface FieldProps {
    field?: string;
    parentData?: any;
    data: any;
    schema: any;
    validate(...args: any[]): any;
    onChange(e: any): void;
    size: 'small' | 'large' | 'middle';
    lang: Language;
    title?: string | null;
    onClick?(e: any): void;
    key?: string;
}
declare function getItem(type: string, props: FieldProps): JSX.Element;
declare const _default: {
    getItem: typeof getItem;
};
export default _default;
//# sourceMappingURL=item.d.ts.map