"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var textfield_1 = __importDefault(require("./textfield"));
var color_1 = __importDefault(require("./color"));
var switch_1 = __importDefault(require("./switch"));
var enum_1 = __importDefault(require("./enum"));
var min_max_1 = __importDefault(require("./min-max"));
var number_1 = __importDefault(require("./number"));
var object_1 = __importDefault(require("./object"));
function getItem(type, props) {
    // 根据不同的输入类型选择对应的处理模块
    switch (type) {
        case 'boolean':
            // @ts-ignore
            return React.createElement(switch_1.default, __assign({}, props));
        case 'color':
            return React.createElement(color_1.default, __assign({}, props));
        case 'enum':
            return React.createElement(enum_1.default, __assign({}, props));
        case 'number':
            return React.createElement(number_1.default, __assign({}, props));
        case 'minmax':
            return React.createElement(min_max_1.default, __assign({}, props));
        case 'object':
            return React.createElement(object_1.default, __assign({}, props));
        default:
            return React.createElement(textfield_1.default, __assign({}, props));
    }
}
exports.default = { getItem: getItem };
//# sourceMappingURL=item.js.map