"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var label_1 = __importDefault(require("../label"));
function Size(props) {
    var _a = props.data, data = _a === void 0 ? [] : _a, onChange = props.onChange, schema = props.schema, field = props.field;
    var tip = schema.meta && schema.meta.description ? schema.meta.description : undefined;
    var min = data[0], max = data[1];
    return (React.createElement("div", { className: "ui-form-item", key: field },
        React.createElement(label_1.default, { title: schema.description, tip: tip }),
        React.createElement("div", { className: "ui-content" },
            React.createElement("div", { style: { height: '30px', lineHeight: '30px' } },
                React.createElement(antd_1.InputNumber, { size: 'small', value: min, placeholder: "min", onChange: function (v) {
                        onChange({ value: [v, max], fields: [field] });
                    } }),
                React.createElement("span", null, " ~ "),
                React.createElement(antd_1.InputNumber, { size: 'small', value: max, placeholder: "max", onChange: function (v) {
                        onChange({ value: [min, v], fields: [field] });
                    } })))));
}
exports.default = Size;
//# sourceMappingURL=min-max.js.map