import * as React from 'react';
import { FieldProps } from './item';
interface FieldObjectState {
    [name: string]: string | string[];
}
export default class FieldObject extends React.Component<FieldProps, FieldObjectState> {
    state: FieldObjectState;
    onChange(e: any): void;
    onExpand(field: string, keys: string | string[]): void;
    onVisibleChange(field: string, e: any): void;
    getVisibleItem(field: string, itemProps: any, title: string | null): JSX.Element | null;
    getVisibleValue(itemProps: any): boolean;
    getItem(field: string): JSX.Element | null;
    renderGroups(): (JSX.Element | null)[];
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=object.d.ts.map