import * as React from 'react';
import validate from './util/validate';
import { Language } from './i18n';
export interface ChangeMeta {
    value: any;
    fields: string[];
}
export interface EditorProps {
    data: any;
    schema: any;
    validate(...args: []): any;
    lang: Language;
    size: 'small' | 'large' | 'middle';
    onChange(value: any, meta: ChangeMeta): void;
    onError?(e: any): void;
}
interface EditorState {
    data: any;
}
export declare class Editor extends React.Component<EditorProps, EditorState> {
    private lastItem;
    static defaultProps: {
        validate: typeof validate;
        lang: string;
        size: string;
    };
    static getDerivedStateFromProps(nextProps: EditorProps, prevState: EditorState): {
        data: any;
    } | null;
    constructor(props: EditorProps);
    getValue(): any;
    onChange(e: any): void;
    validate(fn: any, locale: any): (value: any, meta: any, type: any) => string;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=index.d.ts.map