"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compose = void 0;
var parts = __importStar(require("./parts"));
var tab = "  ";
function compose(items, lang) {
    var schema = items
        .map(function (item) {
        var _a;
        if (Array.isArray(item)) {
            var params = void 0;
            _a = item, item = _a[0], params = _a.slice(1);
            if (parts[item])
                return parts[item].apply(parts, __spreadArrays([lang], params));
        }
        else {
            if (parts[item])
                return parts[item](lang);
            return '';
        }
    })
        .map(function (item) {
        return item
            .split('\n')
            .map(function (item) { return "" + tab + item; })
            .join('\n');
    })
        .join('\n');
    return "Object(Schema) {\n" + schema + "\n}";
}
exports.compose = compose;
//# sourceMappingURL=utils.js.map